<%--
Look for the code that controls this form in the invoice.aspx.cs file! 
This file contains the HTML template. (Which you will also need to modify.)			
--%>
<%@ Page language="c#" Codebehind="invoice.aspx.cs" AutoEventWireup="false" Inherits="billing_starter.invoice" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<html>
	<head>
		<title>Billing Invoice Information</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<link title="default" href="style.css" type="text/css" rel="Stylesheet">
	</head>
	<body ms_positioning="GridLayout">
		<form id="Form1" method="post" runat="server">
			<h2>Invoice Information</h2>
			<p><a href="default.aspx">Back To Invoice List</a></p>
			<asp:placeholder id="inputError" runat="server" visible="false">
				<p><strong>Input Error:
						<%= Request.QueryString["invoice"] %>
						is an invalid invoice id</strong></p>
			</asp:placeholder>
			
			<asp:placeholder runat="server" id="content">
				<table>
					<tr>
						<th>
							Customer Email</th>
						<td><%= /* ! */ %></td>
					</tr>
					<tr>
						<th>
							Customer Name</th>
						<td><%= /* first name */ %>&nbsp;<%= /* last name */ %></td>
					</tr>
					<tr>
						<th>
							Itmes [<%= /* item count */ %>]</th>
						<td>
							<%--
							The repeater assumes you have a collection of items ...
							--%>
							<asp:repeater id="itemRepeater" runat="server">
								<headertemplate>
									<ul>
								</headertemplate>
								<itemtemplate>
									<li>
										<%# /* product name */ %>
										(<%# /* quantity */ %>)
									</li>
								</itemtemplate>
								<footertemplate>
								</ul>
								</footertemplate>
							</asp:repeater></td>
					</tr>
					<tr>
						<th>
							Subtotal</th>
						<td><%= /* ! */ %></td>
					</tr>
					<tr>
						<th>
							Tax</th>
						<td><%= /* ! */ %></td>
					</tr>
					<tr>
						<th>
							Packages</th>
						<td><%= /* ! */ %></td>
					</tr>
					<tr>
						<th>
							Shipping Cost</th>
						<td><%= /* ! */ %></td>
					</tr>
					<tr>
						<th>
							Credit Card Info</th>
						<td><%= /* card holder name */ %><br>
							<%= /* card type */ %>
							<br>
							<%= /* card number */ %>
							<br>
							<%= /* card expiration month */ %>
							/<%= /* card expiration year */ %><br>
						</td>
					</tr>
					<tr>
						<th>
							Billing Info</th>
						<td><%= /* billing name */ %><br>
							<%= /* billing phone */ %>
							<br>
							<%= /* billing email */ %>
							<br>
							<%= /* billing street address */ %>
							<br>
							<%= /* billing city */ %>
							,
							<%= /* billing state */ %>
							&nbsp;<%= /* billing zip */ %>
							-
							<%= /* billing plus 4 */ %>
						</td>
					</tr>
					<tr>
						<th>
							Shipping Info</th>
						<td><%= /* shipping name */ %><br>
							<%= /* shipping phone */ %>
							<br>
							<%= /* shipping email */ %>
							<br>
							<%= /* shipping street address */ %>
							<br>
							<%= /* shipping city */ %>
							,
							<%= /* shipping state */ %>
							&nbsp;<%= /* shipping zip */ %>
							-
							<%= /* shipping plus 4 */ %>
						</td>
					</tr>
				</table>
			</asp:placeholder>
		</form>
	</body>
</html>
